/***************************************************************************
 *
 * Copyright (c) 2000-2001 BalaBit IT Ltd, Budapest, Hungary
 * All rights reserved.
 *
 * $Id: plugudp.h,v 1.2.2.1 2001/05/14 08:30:18 bazsi Exp $
 *
 * Author: SZALAY Attila <sasa@balabit.hu>
 * Auditor:
 * Last audited version:
 * Notes:
 *
 ***************************************************************************/
             
#ifndef ZORP_MODULES_PLUGUDP_H_INCLUDED
#define ZORP_MODULES_PLUGUDP_H_INCLUDED

struct _PlugSession;
             
void plug_packet_read(ZProxy *s, ZPacket *packet, guint way, struct _PlugSession *session);

void plug_packet_init(ZProxy *s, ZCProxy *tracker_from, ZCProxy *tracker_to, gchar *clientkey);

gpointer plug_packet_setup(ZProxy *s, gchar *clientkey);

void plug_packet_stop(ZProxy *s, ZCProxy *stopper, gpointer sess);

ZProxy *plug_packet_new(gchar *session_id, ZPolicyObj *handler);

void plug_packet_free(ZProxy *s);

#endif
